CallStackUtils (Apache Commons Pool 2.11.1 API)

org.apache.commons.pool2.impl

## Class CallStackUtils

- java.lang.Object
- - org.apache.commons.pool2.impl.CallStackUtils

-     public final class CallStackUtils
      extends Object

  Utility methods for `CallStack`.
  Since:
    2.4.3

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CallStack` | `newCallStack(String messageFormat, boolean useTimestamp)` Deprecated. use `newCallStack(String, boolean, boolean)`
    `static CallStack` | `newCallStack(String messageFormat, boolean useTimestamp, boolean requireFullStackTrace)` Constructs a new `CallStack` using the fasted allowed strategy.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newCallStack

          @Deprecated
          public static CallStack newCallStack(String messageFormat,
                                                           boolean useTimestamp)

      Deprecated. use `newCallStack(String, boolean, boolean)`
      Constructs a new `CallStack` using the fastest allowed strategy.
      Parameters:
        `messageFormat` - message (or format) to print first in stack traces
        `useTimestamp` - if true, interpret message as a SimpleDateFormat and print the created timestamp; otherwise, print message format literally
      Returns:
        a new CallStack

    - #### newCallStack

          public static CallStack newCallStack(String messageFormat,
                                               boolean useTimestamp,
                                               boolean requireFullStackTrace)

      Constructs a new `CallStack` using the fasted allowed strategy.
      Parameters:
        `messageFormat` - message (or format) to print first in stack traces
        `useTimestamp` - if true, interpret message as a SimpleDateFormat and print the created timestamp; otherwise, print message format literally
        `requireFullStackTrace` - if true, forces the use of a stack walking mechanism that includes full stack trace information; otherwise, uses a faster implementation if possible
      Returns:
        a new CallStack
      Since:
        2.5

Copyright © 2001–2021 The Apache Software Foundation. All rights reserved.